- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions

# MirrorComboBox Class Reference

Search for all occurrences

## Detailed Description

MirrorComboBox is a QComboBox that emits a signal when it loses keyboard focus.

This is useful when creating menus (such as the Mirror Mode menu found in the property window of several tools) that provide previews as the user scrolls through them.

Definition at line 625 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for MirrorComboBox:
[legend]

List of all members.

## Signals
void | departed (int)
| This signal is emitted when the MirrorComboBox loses keyboard focus.
## Public Member Functions
| MirrorComboBox (QWidget *parent=0, const char *name=0)
| Constructor (the same as QComboBox)
| ~MirrorComboBox ()
| Destructor.
## Protected Member Functions
void | focusOutEvent (QFocusEvent *)
| This QWidget method is overridden here to emit the "departed" signal.

## Constructor & Destructor Documentation

MirrorComboBox | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  | `[inline]`

Constructor (the same as QComboBox)

Definition at line 630 of file widgets.h.

            :QComboBox(parent){ setObjectName(name); }

~MirrorComboBox | ( |  | ) | `[inline]`

Destructor.

Definition at line 634 of file widgets.h.

    {}

## Member Function Documentation

void departed | ( | int |  | ) | `[signal]`

Search for all occurrences

This signal is emitted when the MirrorComboBox loses keyboard focus.

The value of its parameter is always 0.

void focusOutEvent | ( | QFocusEvent * |  | ) | `[inline, protected, virtual]`

Search for all occurrences

This QWidget method is overridden here to emit the "departed" signal.

Reimplemented from QComboBox.

Definition at line 643 of file widgets.h.

            {
                emit departed(0);
            }

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox
MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox MirrorComboBox